<!DOCTYPE html>
<html lang="fr">

<head>
  <title>The tabletop Web interface</title>
  <meta charset='UTF-8' />
  <link rel="shortcut icon" type="image/png" href=".././aide-favicon.png" />
  <link rel='stylesheet' type='text/css' href='../style.css' />
</head>

<body id="locked_castle">

  <audio src="./audio/Room0_1.mp3" autoplay></audio>
  <a class="onclick" id="character" onclick="showDiv('divMail')">
    <img id="ozon_cage" src="../images/mathieu/ozon_cage.png" alt="ozon_cage">
  </a>

  <form id="unlockForm">

    <div id="divMail">
      <fieldset>
        <p class="question" data-slug="question1/7"></p>
        <p class="question" data-slug='answerQuestions'></p>
        <label><span class="bold" data-slug='email'></span><br><input type="email" name="mail" required></label>
        <a class="checkAndSkip" id="load" onclick='remanentForm.load("unlockForm");'
          data-slug="load"></a>
        <a class="checkAndSkip" id="skip" onclick="showDiv('divSave', 'divMail')" data-slug="skipForm"></a><br><br>
        <a class="onclick" onclick=" checkRequiredFields('mail', function() {showDiv('divGender', 'divMail')})">
          <img class="next" src="../images/mathieu/next_button.png" alt="Next">
        </a>

      </fieldset>
    </div>

    <div id="divGender">
      <fieldset>
        <p class="question" data-slug="question2/7"></p>
        <label data-slug='gender'></label><br>
        <label><input type="radio" name="gender" value="F" required><span data-slug='F'></span></label><br>
        <label><input type="radio" name="gender" value="M"><span data-slug='M'></span></label><br>
        <label><input type="radio" name="gender" value="Other"><span data-slug='Other'></span></label><br><br>
        <a class="onclick" onclick=" showDiv('divMail', 'divGender')">
          <img class="prev" src="../images/mathieu/prev_button.png" alt="Previous">
        </a>
        <a class="onclick" onclick=" checkRequiredFields('gender', function() {showDiv('divAge', 'divGender')})">
          <img class="next" src="../images/mathieu/next_button.png" alt="Next">
        </a>
      </fieldset>
    </div>

    <div id="divAge">
      <fieldset>
        <p class="question" data-slug="question3/7"></p>
        <label data-slug='age'></label><br>
        <select name="age" required>
          <option value="" data-slug="chooseOption">.</option>
          <option value="8-10"> 8-10 </option>
          <option value="11-13"> 11-13 </option>
          <option value="14-17"> 14-17 </option>
          <option value="18-25"> 18-25 </option>
          <option value="26-60"> 26-60 </option>
          <option value="26-60"> 60 & + </option>
        </select><br><br>
        <a class="onclick" onclick="showDiv('divGender', 'divAge')">
          <img class="prev" src="../images/mathieu/prev_button.png" alt="Previous">
        </a>
        <a class="onclick" onclick="checkRequiredFields('age', function() {showDiv('divLevel', 'divAge')})">
          <img class="next" src="../images/mathieu/next_button.png" alt="Next">
        </a>
      </fieldset>
    </div>

    <div id="divLevel">
      <fieldset>
        <p class="question" data-slug="question4/7"></p>
        <label><span class="bold" data-slug="scholarLevel"></span><br><input type="text" name="level" required></label><br><br>
        <a class="onclick" onclick="showDiv('divAge', 'divLevel')">
          <img class="prev" src="../images/mathieu/prev_button.png" alt="Previous">
        </a>
        <a class="onclick" onclick="checkRequiredFields('level', function() {showDiv('divTechnoOlder', 'divLevel')})">
          <img class="next" src="../images/mathieu/next_button.png" alt="Next">
        </a>
      </fieldset>
    </div>

    <div id="divTechnoKids">
      <fieldset>
        <p class="question" data-slug="question5/7"></p>
        <label data-slug='technophileOrTechnophobe'></label><br>
        <label><input type="radio" name="technoKids" value="never"><span data-slug="neverUsed"></span></label><br>
        <label><input type="radio" name="technoKids" value="help"><span data-slug="needHelp"></span></label><br>
        <label><input type="radio" name="technoKids" value="easily"><span data-slug="useEasily"></span></label><br>
        <label>
          <input type="radio" name="technoKids" value="robotics"><span data-slug="doRobotics"></span>
        </label><br><br>
        <a class="onclick" onclick="showDiv('divLevel', 'divTechnoKids')">
          <img class="prev" src="../images/mathieu/prev_button.png" alt="Previous">
        </a>
        <a class="onclick"
          onclick="checkRequiredFields('technoKids', function() {showDiv('divProgramming', 'divTechnoKids')})">
          <img class="next" src="../images/mathieu/next_button.png" alt="Next">
        </a>
      </fieldset>
    </div>

    <div id="divTechnoOlder">
      <fieldset>
        <p class="question" data-slug="question5/7"></p>
        <label data-slug='technophileOrTechnophobe'></label><br>
        <label>
          <input type="radio" name="technoOlder" value="notComfortable" required><span data-slug="fundation"></span>
        </label><br>
        <label><input type="radio" name="technoOlder" value="standard"><span data-slug="intermediate"></span></label><br>
        <label><input type="radio" name="technoOlder" value="geek"><span data-slug="advanced"></span></label><br>
        <label><input type="radio" name="technoOlder" value="familiar"><span data-slug="highlySpecialised"></span></label><br><br>
        <a class="onclick" onclick="showDiv('divLevel', 'divTechnoOlder')">
          <img class="prev" src="../images/mathieu/prev_button.png" alt="Previous">
        </a>
        <a class="onclick"
          onclick="checkRequiredFields('technoOlder', function() {showDiv('divProgramming', 'divTechnoOlder')})">
          <img class="next" src="../images/mathieu/next_button.png" alt="Next">
        </a>
      </fieldset>
    </div>

    <div id="divProgramming">
      <fieldset>
        <p class="question" data-slug="question6/7"></p>
        <label data-slug='programming'></label><br>
        <label>
          <input type="radio" name="programming" value="dontKnow" required><span data-slug="dontKnow"></span>
        </label><br>
        <label>
          <input type="radio" name="programming" value="notReallyKnow"><span data-slug="notReallyKnow"></span>
        </label><br>
        <label><input type="radio" name="programming" value="know"><span data-slug="know"></span></label><br>
        <label><input type="radio" name="programming" value="doABit"><span data-slug="doABit"></span></label><br>
        <label>
          <input type="radio" name="programming" value="createRobot"><span data-slug="createRobot"></span>
        </label><br><br>
        <a class="onclick" onclick="showDiv('divTechnoOlder', 'divProgramming')">
          <img class="prev" src="../images/mathieu/prev_button.png" alt="Previous">
        </a>
        <a class="onclick"
          onclick="checkRequiredFields('programming', function() {showDiv('divPixel', 'divProgramming')})">
          <img class="next" src="../images/mathieu/next_button.png" alt="Next">
        </a>
      </fieldset>
    </div>

    <div id="divPixel">
      <fieldset>
        <p class="question" data-slug="question7/7"></p>
        <label data-slug='aboutPixel'></label><br>
        <label><input type="checkbox" name="pixel" value="dontKnow"><span data-slug="dontKnow"></span></label><br>
        <label>
          <input type="checkbox" name="pixel" value="digitalImages"><span data-slug="digitalImagesPixel"></span>
        </label><br>
        <label><input type="checkbox" name="pixel" value="audio"><span data-slug="audioPixel"></span></label><br>
        <label>
          <input type="checkbox" name="pixel" value="camera"><span data-slug="cameraPhotosite"></span>
        </label><br><br>
        <a class="onclick" onclick="showDiv('divProgramming', 'divPixel')">
          <img class="prev" src="../images/mathieu/prev_button.png" alt="Previous">
        </a>
        <a class="onclick" onclick="checkRequiredFields('pixel', function() {showDiv('divSave', 'divPixel')})">
          <img class="next" src="../images/mathieu/next_button.png" alt="Next">
        </a>
      </fieldset>
    </div>

    <div id="divSave">
      <button id="save" type="submit" data-slug='releaseOzon'></button>
    </div>

  </form>

  <script src="interface.js"></script>
  <script src="../aideweb.js"></script>
  <script src='../aideweb.js'></script>
  <script src="strings.js"></script>
  <script>
    slugstring.fill(strings_of_the_html_page);
    var remanentForm = new RemanentForm("http://localhost:8080/upload", "unlockForm", "mail",
      // save_callback
      function () {
        document.location.replace("room0_2.html");
      },
      // load_callback
      function () {
        if (skip) {
          // Uncomment this part to reinstate techoDiv in the kids version
          /*
          let age = document.getElementsByName("age")[0].value, kids = ["8-10", "11-13"], older = ["14-17", "18-25", "26-60"];
          if (kids.includes(age)) {
            document.getElementsByName("technoKids")[0].required = "required";
          } else if (older.includes(age)) {
            document.getElementsByName("technoOlder")[0].required = "required";
          }
          */

          let select = document.getElementsByTagName('select'), elements = document.getElementsByTagName('input'), inputs = [];
          for (let input of select) {
            if (!inputs.includes(input['name'])) {
              inputs.push(input['name']);
            }
          }
          for (let input of elements) {
            if (!inputs.includes(input['name'])) {
              inputs.push(input['name']);
            }
          }

          for (let i = 0; i < inputs.length; i++) {
            if (i == inputs.length - 1) {
              checkRequiredFields(inputs[i], function () { document.getElementById(skip.id).style.display = "block"; });
            } else {
              checkRequiredFields(inputs[i]);
            }
          }
        }
      });
    setBackground(roomID, "../images/mathieu/locked_castle.png");
  </script>


</body>

</html>
